## libaccounts-glib 1.26

=== meson_options.txt ===
option('py-overrides-dir', type : 'string', value : '', description: 'Path to pygobject overrides directory')

=== debian/changelog ===
libaccounts-glib (1.26-1) unstable; urgency=medium

  * New upstream release.
  * Update Maintainer to the canonical form.
  * Remove inactive Uploaders, adding myself as one to avoid leaving the source
    with no human maintainers.
  * Bump Standards-Version to 4.6.1, no changes required.
  * Remove the unused ${shlibs:Depends} substvar from libaccounts-glib-dev.
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Sat, 17 Sep 2022 09:21:41 +0200

=== debian/control ===
Source: libaccounts-glib
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>,
Build-Depends: check,
               dbus,
               debhelper-compat (= 13),
               dh-sequence-gir,
               gobject-introspection (>= 1.41.4-1~),
               gtk-doc-tools,
               libgirepository1.0-dev,
               libglib2.0-dev (>= 2.26~),
               libsqlite3-dev (>= 3.7.0),
               libxml2-dev,
               libxml2-utils,
               meson (>= 0.48.0),
               python3-gi,
               valac,
               xauth <!nocheck>,
               xvfb <!nocheck>,
Build-Depends-Indep: libglib2.0-doc
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://gitlab.com/accounts-sso/libaccounts-glib
Vcs-Browser: https://salsa.debian.org/qt-kde-team/3rdparty/libaccounts-glib
Vcs-Git: https://salsa.debian.org/qt-kde-team/3rdparty/libaccounts-glib.git

Package: libaccounts-glib-dev
Section: libdevel
Architecture: any
Depends: gir1.2-accounts-1.0 (= ${binary:Version}),
         libaccounts-glib0 (= ${binary:Version}),
         libglib2.0-dev,
         libsqlite3-dev,
         libxml2-dev,
         ${misc:Depends},
Description: Accounts database access - development files
 Accounts and SSO (Single Sign-On) framework for Linux and POSIX based
 platforms.
 .
 This package contains files the development files of the accounts database
 access GLib-based API.

Package: libaccounts-glib0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Accounts database access - shared library
 Accounts and SSO (Single Sign-On) framework for Linux and POSIX based
 platforms.
 .
 This package contains shared libraries of the accounts database access
 GLib-based API.

Package: gir1.2-accounts-1.0
Section: introspection
Architecture: any
Multi-Arch: same
Depends: libaccounts-glib0 (= ${binary:Version}),
         ${gir:Depends},
         ${misc:Depends}
Description: typelib file for libaccounts-glib0
 Accounts and SSO (Single Sign-On) framework for Linux and POSIX based
 platforms.
 .
 This package can be used by other packages using the GIRepository format to
 generate dynamic bindings for libaccounts-glib0

Package: libaccounts-glib-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Recommends: libglib2.0-doc
Description: Accounts database access - documentation
 Accounts and SSO (Single Sign-On) framework for Linux and POSIX based
 platforms.
 .
 This package contains the documentation of the accounts database access
 GLib-based API.

Package: libaccounts-glib-tools
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Accounts database access - tools
 Accounts and SSO (Single Sign-On) framework for Linux and POSIX based
 platforms.
 .
 This package provides the tools useful for the libaccounts-glib
 library.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
#
# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export DPKG_GENSYMBOLS_CHECK_LEVEL=4

override_dh_auto_test:
	:
#	# Tests often fail in Jenkins for timeout reasons; therefore, increase
#	# the timeout value
#	CK_TIMEOUT_MULTIPLIER=10 CK_DEFAULT_TIMEOUT=0 VERBOSE=1 \
#	  xvfb-run -a dbus-run-session dh_auto_test

%:
	dh $@

## libaccounts-glib 1.27

=== meson_options.txt ===
option('install-py-overrides', type: 'boolean', value: false, description: 'Install Python gi overrides file')
option('py-overrides-dir', type : 'string', value : '', description: 'Path to pygobject overrides directory')

=== debian/changelog ===
libaccounts-glib (1.27-2) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * Replace obsolete libgirepository1.0-dev build dependency.
  * Bump Standards-Version to 4.7.2, no change required.
  * Add missing Provides: ${gir:Provides} for dh-sequence-gir.
  * Remove old FSF address from debian/copyright.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 15 Aug 2025 00:22:06 +0200

libaccounts-glib (1.27-1) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * Update watch file due to GitLab changing URL pattern for source code
    package downloads.
  * New upstream release (1.27).
  * Drop installation of Accounts.py GIR override following upstream defaults.
  * Bump Standards-Version to 4.6.2, no change required.
  * Reenable build-time tests.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 01 May 2024 22:29:04 +0200

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,14 @@
 Uploaders: Pino Toscano <pino@debian.org>,
 Build-Depends: check,
                dbus,
+               dbus-test-runner,
                debhelper-compat (= 13),
                dh-sequence-gir,
+               gir1.2-glib-2.0-dev,
+               gir1.2-gio-2.0-dev,
+               gir1.2-giounix-2.0-dev,
                gobject-introspection (>= 1.41.4-1~),
                gtk-doc-tools,
-               libgirepository1.0-dev,
                libglib2.0-dev (>= 2.26~),
                libsqlite3-dev (>= 3.7.0),
                libxml2-dev,
@@ -20,7 +23,7 @@
                xauth <!nocheck>,
                xvfb <!nocheck>,
 Build-Depends-Indep: libglib2.0-doc
-Standards-Version: 4.6.1
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://gitlab.com/accounts-sso/libaccounts-glib
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/3rdparty/libaccounts-glib
@@ -35,6 +38,7 @@
          libsqlite3-dev,
          libxml2-dev,
          ${misc:Depends},
+Provides: ${gir:Provides}
 Description: Accounts database access - development files
  Accounts and SSO (Single Sign-On) framework for Linux and POSIX based
  platforms.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
#
# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export DPKG_GENSYMBOLS_CHECK_LEVEL=4

override_dh_auto_test:
	# Tests often fail in for timeout reasons; therefore, increase
	# the timeout value
	CK_TIMEOUT_MULTIPLIER=10 CK_DEFAULT_TIMEOUT=0 VERBOSE=1 \
	  xvfb-run -a dbus-run-session dh_auto_test

%:
	dh $@

=== debian/watch ===
version=4
opts="searchmode=plain" \
  https://gitlab.com/accounts-sso/@PACKAGE@/-/tags?sort=updated_desc \
  /accounts-sso/@PACKAGE@/-/archive/VERSION_\d[\d.]*/@PACKAGE@-VERSION_@ANY_VERSION@@ARCHIVE_EXT@
